/****************************************************************************
* libpng - Memory File I/O
*
* Replace stdio streams with in-memory functions
****************************************************************************/
#ifndef __PNGMEMIO__
#define __PNGMEMIO__

typedef struct
  {
    int handle;
    char *data;
    int  length;
    int  currpos;
  }
PNG_MEMFILE;


PNG_MEMFILE *pngmem_fopen( char *data, int length );
int pngmem_fclose( PNG_MEMFILE *mf );
int pngmem_fread( char *buffer, int block, int len, PNG_MEMFILE *mf );
int pngmem_fwrite( char *buffer, int block, int len, PNG_MEMFILE *mf );
int pngmem_fseek( PNG_MEMFILE *mf, int where, int whence );

#endif
