/****************************************************************************
* PNG Support Functions
****************************************************************************/
#ifndef __PNGSUPP__
#define __PNGSUPP__

#include <png/png.h>
#include "png_mem.h"

#define PNG_BYTES_TO_CHECK 4

typedef struct
  {
    png_structp png_ptr;
    png_infop info_ptr;
    png_uint_32 width;
    png_uint_32 height;
    int bit_depth;
    int colour_type;
    unsigned char bkRed;
    unsigned char bkGreen;
    unsigned char bkBlue;
    int have_bg;
    png_color_16p bkground;
    unsigned char *image;
  }
PNGWRAPPER;

int PNG_IsPNG( char *buf );
int PNG_Decode( PNG_MEMFILE *mf, PNGWRAPPER *png );
int PNG_Write( char *RGB, int width, int height, PNG_MEMFILE *mf );
void PNG_Clear( PNGWRAPPER *png );

/*** PNGOGC Errors ***/
#define PNGOGC_SUCCESS	0
#define PNGOGC_NOPTR	1
#define PNGOGC_NOINFO   2
#define PNGOGC_NOMEM    3

#endif

